package main

import (
	"fmt"
	"go-api/pkg/args"
	"go-api/pkg/config"
	"log"

	"github.com/joho/godotenv"
)

func main() {
	fmt.Println("go-api")

	godotenv.Load()

	if err := args.Parse(); err != nil {
		log.Fatal(err)
	}

	cliArg := args.Get()

	if err := config.Load(cliArg.ConfigPath); err != nil {
		log.Fatal(err)
	}

	switch cliArg.Run {
	case "server":
		break
	case "dbtool":
		break
	}
}
